<?php
// $Id: buzzthis.admin.inc,v 1.3 2010/04/10 06:12:38 jasonleon Exp $

/**
 * @file
 * Admin settings for the buzzthis module.
 */

/**
 * Admin settings form for the buzzthis module
 */
function buzzthis_admin_settings() {
  $form = array();
  $form['buzzthis'] = array(
    '#type' => 'fieldset',
    '#title' => t('buzzthis settings')
  );
  
  $form['buzzthis']['buzzthis_button_skin'] = array(
    '#type' => 'select',
    '#title' => t('Button skin'),
    '#default_value' => variable_get('buzzthis_button_skin', 'standard'),
    '#options' => array(
      'standard' => t('standard'),
      'compact' => t('compact')
    ),
    '#description' => t('This option controls the look of the buzzthis button.')
  );
  
  $form['buzzthis']['buzzthis_button_weight'] = array(
    '#type' => 'select',
    '#title' => t('Weight'),
    '#default_value' => variable_get('buzzthis_button_weight', -5),
    '#options' => drupal_map_assoc(range(-20, 20)),
    '#description' => t('Specifies the position of the buzzthis button.')
  );

  $form['buzzthis']['buzzthis_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node Types'),
    '#default_value' => variable_get('buzzthis_node_types', array()),
    '#options' => node_get_types('names'),
    '#description' => t('The node types where the buzz button shall be displayed')
  );

  $form['buzzthis']['buzzthis_node_show_teaser'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show teaser'),
    '#default_value' => variable_get('buzzthis_node_show_teaser', 1),
    '#description' => t('Submit node teaser in buzz')
  );
  
  $form['bitly'] = array(
    '#type' => 'fieldset',
    '#title' => t('Use Bit.ly Tracking')
  );
  
  $periods = array(0 => t('Don\'t Cache'));
  $periods += drupal_map_assoc(array(300, 600, 900, 1800, 3600, 7200, 10800, 14400, 18000, 21600, 32400, 43200, 86400), 'format_interval');
  $form['bitly']['buzzthis_refresh_interval'] = array(
    '#type' => 'select',
    '#title' => 'Click count refresh interval',
    '#options' => $periods,
    '#default_value' => variable_get('buzzthis_refresh_interval', 3600),
  );
  $form['bitly']['buzzthis_bitlyapiusername'] = array(
    '#type' => 'textfield',
    '#title' => 'Bit.ly Api Username',
    '#default_value' => variable_get('buzzthis_bitlyapiusername', ''),
  );
  $form['bitly']['buzzthis_bitlyapikey'] = array(
    '#type' => 'textfield',
    '#title' => 'Bit.ly Api Key',
    '#default_value' => variable_get('buzzthis_bitlyapikey', ''),
  );  
  
  return system_settings_form($form);
}
